org.apache.cassandra.cql3

## Class ColumnCondition.CollectionInBound

- java.lang.Object
- - org.apache.cassandra.cql3.ColumnCondition.Bound
  - - org.apache.cassandra.cql3.ColumnCondition.CollectionInBound

- Enclosing class:
    ColumnCondition

      public static class ColumnCondition.CollectionInBound
      extends ColumnCondition.Bound

- - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.cql3.ColumnCondition.Bound

      `column, operator`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `appliesTo(Composite rowPrefix, ColumnFamily current, long now)` Validates whether this condition applies to `current`.

    - ### Methods inherited from class org.apache.cassandra.cql3.ColumnCondition.Bound

      `collectionColumns, compareWithOperator, getCollectionElementValue, isSatisfiedByValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### appliesTo

          public boolean appliesTo(Composite rowPrefix,
                                   ColumnFamily current,
                                   long now)
                            throws InvalidRequestException

      Description copied from class: `ColumnCondition.Bound`
      Validates whether this condition applies to `current`.
      Specified by:
        `appliesTo` in class `ColumnCondition.Bound`
      Throws:
        `InvalidRequestException`

Copyright © 2018 The Apache Software Foundation